import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceGetArchiveAutoAllocationsService = createAsyncThunk(
  "PROVINCE_GET_ARCHIVE_AUTO_ALLOCATIONS_SERVICE",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.get("automatic_allocation/", {
        params: {
          state: "final_registration",
          date1: d.selectedDate1,
          date2: d.selectedDate2,
        },
      });
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
